package com.ozs.service.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.service.entity.BaseElectricityResume;
import com.ozs.service.entity.vo.BaseElectricityResumeVo;
import com.ozs.service.entity.vo.ElectricityResumeResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BaseElectricityResumeMapper extends BaseMapper<BaseElectricityResume> {
    List<BaseElectricityResumeVo> getBaseElectricityResume(@Param("cameraCode")String cameraCode, @Param("startTime")String startTime, @Param("endTime")String endTime);

    List<ElectricityResumeResp> exportElectricityResume(@Param("cameraCode")String cameraCode, @Param("startTime")String startTime, @Param("endTime")String endTime);
}
